Subject: bug#45868: genimage test suite

From: Vincent Legoll <[email-masked]>
Date: Thu, 14 Jan 2021 19:26:22 +0100

Hello,

I retried to work on updating genimage to newer
versions.

I'm still getting the mke2fs test failure, but...

when building with -K and then in another shell instance:
cd /tmp/guix-build-genimage-14.drv-3
. environment-variables
cd sources
make check

They all pass, even the dreaded mke2fs one.

What am I missing ?

BTW, I've accumulated a few fixes along the
ride with the new versions since 11:

- use git-file-name (already submitted as 45859)
- add fakeroot to native-inputs for the tests
- a workaround for the uid/gid mismatches

I'll submit them alongside when we have a real
solution.

-- 
Vincent Legoll